# Card token object

### Object Parameters

- `activation_denied_at` `date-time` — Timestamp when the token entered `activation_denied` status
- `card_account_id` `string` — The ID of the card account
- `card_id` `string` — The ID of the card
- `card_program_id` `string` — The ID of the card program
- `created_at` `date-time` — The creation timestamp of the card token
- `deactivated_at` `date-time` — Timestamp when the token was deactivated
- `device_name` `string` — The name of the device the token is provisioned to
- `device_type` `enum` — The type of device the token is provisioned to. Possible values: `mobile_phone`, `tablet`, `watch`, `mobile_phone_or_tablet`, `pc`, `ecommerce`, `unknown`
- `first_activated_at` `date-time` — Timestamp when the token was first activated
- `first_paused_at` `date-time` — Timestamp when the token was first paused
- `id` `string` — The ID of the card token
- `last_activated_at` `date-time` — Timestamp when the token was last activated
- `last_paused_at` `date-time` — Timestamp when the token was last paused
- `network_token_reference_id` `string` — The network token reference used to identify this token in wallet SDKs. Available for Visa tokens when assigned by the network.
- `pending_activation_at` `date-time` — Timestamp when the token entered `pending_activation` status
- `pending_authentication_at` `date-time` — Timestamp when the token entered `pending_authentication` status
- `provisioning_decisioning_details` `object` — Provisioning decisioning details for the card token See [Provisioning decisioning details sub-object](/api/card-token/provisioning-decisioning-details-sub-object).
- `requestor_name` `string` — The name of the token requestor (e.g., the digital wallet provider)
- `status` `enum` — The status of the card token
  Possible values: `pending_activation`, `stepping_up`, `pending_authentication`, `activation_denied`, `active`, `paused`, `deactivated`
- `stepping_up_at` `date-time` — Timestamp when the token entered `stepping_up` status
- `token_type` `enum` — The type of token. Possible values: `wallet`, `card_on_file`
- `wallet_type` `enum` — The type of digital wallet. Possible values: `apple_pay`, `google_pay`, `samsung_pay`, `unknown`

**Response 200**

```json
{
  "activation_denied_at": null,
  "card_account_id": "cacc_2x8gszy5folpA9s0TOCseE9ABDM",
  "card_id": "card_2x8gszy5folpA9s0TOCseE9ABDM",
  "card_program_id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
  "created_at": "2024-01-15T09:30:00Z",
  "deactivated_at": null,
  "device_name": "iPhone",
  "device_type": "mobile_phone",
  "first_activated_at": "2024-01-15T09:30:00Z",
  "first_paused_at": "2024-01-15T09:30:00Z",
  "id": "ctkn_2x8gszy5folpA9s0TOCseE9ABDM",
  "last_activated_at": "2024-01-15T09:30:00Z",
  "last_paused_at": "2024-01-15T09:30:00Z",
  "network_token_reference_id": "DNITHE302312345678901234",
  "pending_activation_at": "2024-01-15T09:30:00Z",
  "pending_authentication_at": "2024-01-15T09:30:00Z",
  "provisioning_decisioning_details": {
    "decision": "approve",
    "decision_source": "column",
    "rejection_reason": "card_paused"
  },
  "requestor_name": "Apple Pay",
  "status": "active",
  "stepping_up_at": "2024-01-15T09:30:00Z",
  "token_type": "wallet",
  "wallet_type": "apple_pay"
}
```
